import {
  hrmResourceIndex
} from './resourceIndex';
import {
  HrmEduLevel
} from './edulevel';
import {
  HrmAdAreaSet
} from './adareaset';
import {
  HrmOfficeAddress
} from './officeaddress';
import {
  HrmSecuritySetting
} from './securitySetting';
import {
  HrmSubCompanyFieldDef
} from './subCompanyFieldDef';
import {
  HrmAuthorizationSetting
} from './authorizationSetting';
import {
  HrmRoleSetting
} from './roleSetting';
import {
  hrmAppDetach
} from './appDetach';
import hrmMatrix from './matirx';
import {
  hrmMatrixFieldSetting
} from './matirxFieldSetting';
import {
  hrmMatrixDataMaintenance
} from './matirxDataMaintenance';
import {
  hrmMatrixAdjust
} from './matrixAdjust';
import {
  hrmWorkflowSetting
} from './workflowSetting';
import {
  hrmWorkingDayAdjust
} from './workingDayAdjust';
import {
  hrmPaidLevel
} from './paidLeave';
import {
  hrmPaidLevelTimeSetting
} from './paidLeaveTimeSetting';
import {
  hrmImportExternalAttendance
} from './importExternalAttendance';
import {
  hrmAttendanceSyncSetting
} from './attendanceSyncSetting';
import {
  hrmScheduleWorkTime
} from './scheduleWorkTime';
import {
  hrmScheduleShiftsSetting
} from './scheduleShiftsSetting';
import {
  hrmSchedulingSetting
} from './schedulingSetting';
import {
  hrmLeaveType
} from './leaveType';
import {
  hrmAnnualPeriod
} from './annualPeriod';
import {
  hrmAnnualRule
} from './annualRule';
import {
  hrmAnnualSetting
} from './annualSetting';
import {
  hrmOnlineAttendance
} from './onlineAttendance';
import {
  hrmPaidLeavePeriod
} from './paidLeavePeriod';
import {
  hrmPaidLeaveRule
} from './paidLeaveRule';
import {
  hrmPaidLeaveSetting
} from './paidLeaveSetting';
import {
  hrmOrgChart
} from './orgChart';
import {
  hrmPrivacySetting
} from './privacySetting';
import {
  HrmBatchMaintenance
} from './batchMaintenance';
import {
  HrmBatchAdjust
} from './batchAdjust';
import {
  HrmBatchEdit
} from './batchEdit';
import {
  HrmBatchUploadPhoto
} from './batchUploadPhoto';

import {
  HrmAuthAdjust
} from './authAdjust';
import {
  HrmAuthSearch
} from './authSearch';
import {
  HrmPostSet
} from './postset';
import {
  HrmMajorSet
} from './majorset';
import {
  HrmEducationSet
} from './education';
import {
  HrmTitleSet
} from './titleset';
import {
  HrmWorkNatureSet
} from './worknature';
import {
  HrmOrganization
} from './organization';
import {
  HrmImportResource
} from './importresource';
import {
  HrmImportOrg
} from './importorg';
import {
  HrmImportCommon
} from './importCommon';

import {
  HrmTest
} from './test';
import {
  HrmEngineGroup
} from './enginegroup';
import {
  HrmCardItemSet
} from './cardItemSet';
import {
  HrmEntryMaintenanceSet
} from './entryMaintenance';
import {
  HrmBirthdayRemindSet
} from './birthdayRemind';
import {
  HrmAdminDecentralizationSet
} from './adminDecentralization';
import {
  HrmDecentralizationAdminSet
} from './decentralizationAdminSet';
import {
  HrmTrialSet
} from './trial';
import {
  HrmFormalSet
} from './formal';
import {
  HrmRenewSet
} from './renew';
import {
  HrmTransferSet
} from './transfer';
import {
  HrmQuitSet
} from './quit';
import {
  HrmRetireSet
} from './retire';
import {
  HrmDismissSet
} from './dismiss';
import {
  HrmRehireSet
} from './rehire';
import {
  HrmModuleManageSet
} from './moduleManage';
import {
  HrmUnitSet
} from './unitSet';
import {
  HrmSignatureManagement
} from './signatureManagement';
import {
  HrmBasicDataImport
} from './import';
import {
  HrmLoginLog
} from './loginLog';
import {
  HrmSalaryIndexSetting
} from './salaryIndexSetting';
import {
  HrmOnlineAnalysis
} from './onlineAnalysis';
import {
  HrmLimitedAnalysis
} from './limitedAnalysis';
import {
  HrmSalaryBank
} from './salaryBank';
import {
  HrmPersonalSalaryAdjustment
} from './personalSalaryAdjustment';
import {
  HrmSalaryIndexMaintenance
} from './salaryIndexMaintenance';
import {
  HrmSalaryItemsSet
} from './salaryItemsSet';
import {
  HrmPayrollManagement
} from './payrollManagement';
import {
  HrmTrainTypes
} from './trainTypes';
import {
  HrmTrainPlan
} from './trainPlan';
import {
  HrmTrainResource
} from './trainResource';
import {
  HrmTrainArrange
} from './trainArrange';
import {
  HrmTrainActivity
} from './trainActivity';
import {
  HrmWorkHour
} from './generalWorkingHours';
import {
  HrmAttendanceSetting
} from './attendanceSetting';
import {
  HrmOtherSetting
} from './otherSetting';
import {
  HrmRpType
} from './rpType';
import {
  HrmRpManage
} from './rpManage';
import {
  HrmAssType
} from './assType';
import {
  HrmAssItem
} from './assItem';
import {
  HrmAssImple
} from './assImple';
import {
  HrmContractType
} from './contractType';
import {
  HrmConExWarning
} from './contractExpireWarning';
import {
  HrmContractMaintain
} from './contractMaintain';
import {
  HrmContractTemplate
} from './contractTemplate';
import {
  HrmFuncManageDecent
} from './funcManageDecent';
import {
  HrmEmployDemand
} from './employDemand';
import {
  HrmRecruitPlan
} from './recruitPlan';
import {
  HrmRecruitInfo
} from './recruitInfo';
import {
  HrmRecruitLibrary
} from './recruitLibrary';
import {
  HrmLoginFailLog
} from './loginFailLog';
import {
  HrmBrowseBoxLinkPage
} from './browseBoxLinkPage';
import {
  HrmStaffCareReminder
} from './staffCareReminder';
import {
  hrmBrowserDisplayFieldSetting
} from './browserDisplayFieldSetting';
import {
  HrmLevelProtection
} from './levelProtection';
import {
  HrmNewPost
} from './newPost';
import {
  orgFieldDisplaySetting
} from './orgFieldDisplaySetting';
import {
  salaryApplySet
} from './salaryApplySet';
import {
  payrollSendingStore
} from './payrollSending.js';
import {
  sanYuanStore
} from "./sanyuan.js";
import {
  normalLogStore
} from "./normalLog.js";
import {
  secAdminLogStore
} from "./secAdminLog.js";
import {
  secAuditorLogStore
} from "./secAuditorLog.js";
import {
  systemAdminLogStore
} from "./systemAdminLog.js";
import {
  archiveLogViewStore
} from "./archiveLogView.js";
import {
  HrmAvatarSetting
} from './avatarSetting.js';
import {
  AdminAreaDisplaySettingStore
} from './adminAreaDisplaySetting.js';
import {
  SubNumberSettingStore
} from './serialNumber/subNumberSetting.js';
import {
  ElseSettingStore
} from './elseSettingStore.js';
import {
  DeptNumberSettingStore
} from './serialNumber/deptNumberSetting.js';
import {
  PostNumberSettingStore
} from './serialNumber/postNumberSetting.js';
import {
  ResourceNumberSettingStore
} from './serialNumber/resourceNumberSetting.js';
import StartReservedNumberSet from './serialNumber/startReservedNumberSet.js';

import OutSignAppSetting from './external/outSignAppSetting';
import SensitiveSettingStore from './sensitiveWord/setting.js';
import SensitiveListStore from './sensitiveWord/list.js';

const hrmEduLevel = new HrmEduLevel();
const hrmAdAreaSet = new HrmAdAreaSet();
const hrmOfficeAddress = new HrmOfficeAddress();
const hrmPostSet = new HrmPostSet();
const hrmMajorSet = new HrmMajorSet();
const hrmEducationSet = new HrmEducationSet();
const hrmTitleSet = new HrmTitleSet();
const hrmWorkNatureSet = new HrmWorkNatureSet();
const hrmSecuritySetting = new HrmSecuritySetting(),
  hrmSubCompanyFieldDef = new HrmSubCompanyFieldDef(),
  hrmAuthorizationSetting = new HrmAuthorizationSetting(),
  hrmRoleSetting = new HrmRoleSetting(),

  hrmBatchMaintenance = new HrmBatchMaintenance(),
  hrmBatchAdjust = new HrmBatchAdjust(),
  hrmBatchEdit = new HrmBatchEdit(),
  hrmBatchUploadPhoto = new HrmBatchUploadPhoto(),

  hrmAuthSearch = new HrmAuthSearch(),
  hrmAuthAdjust = new HrmAuthAdjust();
const hrmOrganization = new HrmOrganization();
const hrmImportResource = new HrmImportResource();
const hrmImportOrg = new HrmImportOrg();
const hrmImportCommon = new HrmImportCommon();


const hrmTest = new HrmTest();
const hrmEngineGroup = new HrmEngineGroup();
const hrmCardItemSet = new HrmCardItemSet();
const hrmEntryMaintenanceSet = new HrmEntryMaintenanceSet();
const hrmBirthdayRemindSet = new HrmBirthdayRemindSet();
const hrmAdminDecentralizationSet = new HrmAdminDecentralizationSet();
const hrmDecentralizationAdminSet = new HrmDecentralizationAdminSet();
const hrmTrialSet = new HrmTrialSet();
const hrmFormalSet = new HrmFormalSet();
const hrmRenewSet = new HrmRenewSet();
const hrmTransferSet = new HrmTransferSet();
const hrmQuitSet = new HrmQuitSet();
const hrmRetireSet = new HrmRetireSet();
const hrmDismissSet = new HrmDismissSet();
const hrmRehireSet = new HrmRehireSet();
const hrmModuleManageSet = new HrmModuleManageSet();
const hrmUnitSet = new HrmUnitSet();
const hrmSignatureManagement = new HrmSignatureManagement();
const hrmBasicDataImport = new HrmBasicDataImport();
const hrmLoginLog = new HrmLoginLog();
const hrmSalaryIndexSetting = new HrmSalaryIndexSetting();
const hrmOnlineAnalysis = new HrmOnlineAnalysis();
const hrmLimitedAnalysis = new HrmLimitedAnalysis();
const hrmSalaryBank = new HrmSalaryBank();
const hrmPersonalSalaryAdjustment = new HrmPersonalSalaryAdjustment();
const hrmSalaryIndexMaintenance = new HrmSalaryIndexMaintenance();
const hrmSalaryItemsSet = new HrmSalaryItemsSet();
const hrmPayrollManagement = new HrmPayrollManagement();
const hrmTrainTypes = new HrmTrainTypes();
const hrmTrainPlan = new HrmTrainPlan();
const hrmTrainResource = new HrmTrainResource();
const hrmTrainArrange = new HrmTrainArrange();
const hrmTrainActivity = new HrmTrainActivity();
const hrmWorkHour = new HrmWorkHour();
const hrmAttendanceSetting = new HrmAttendanceSetting();
const hrmOtherSetting = new HrmOtherSetting();
const hrmRpType = new HrmRpType();
const hrmRpManage = new HrmRpManage();
const hrmAssType = new HrmAssType();
const hrmAssItem = new HrmAssItem();
const hrmAssImple = new HrmAssImple();
const hrmContractType = new HrmContractType();
const hrmConExWarning = new HrmConExWarning();
const hrmContractMaintain = new HrmContractMaintain();
const hrmContractTemplate = new HrmContractTemplate();
const hrmFuncManageDecent = new HrmFuncManageDecent();
const hrmEmployDemand = new HrmEmployDemand();
const hrmRecruitPlan = new HrmRecruitPlan();
const hrmRecruitInfo = new HrmRecruitInfo();
const hrmRecruitLibrary = new HrmRecruitLibrary();
const hrmLoginFailLog = new HrmLoginFailLog();
const hrmBrowseBoxLinkPage = new HrmBrowseBoxLinkPage();
const hrmStaffCareReminder = new HrmStaffCareReminder();
const hrmLevelProtection = new HrmLevelProtection();
const hrmNewPost = new HrmNewPost();
const hrmAvatarSetting = new HrmAvatarSetting();

const outSignAppSetting = new OutSignAppSetting();
const adminAreaDisplaySettingStore = new AdminAreaDisplaySettingStore();
const subNumberSettingStore = new SubNumberSettingStore();
const elseSettingStore = new ElseSettingStore();
const deptNumberSettingStore = new DeptNumberSettingStore();
const postNumberSettingStore = new PostNumberSettingStore();
const resourceNumberSettingStore = new ResourceNumberSettingStore();
const startReservedNumberSet = new StartReservedNumberSet();

const sensitiveSettingStore = new SensitiveSettingStore();
const sensitiveListStore = new SensitiveListStore();


module.exports = {
  hrmAvatarSetting,
  hrmResourceIndex,
  hrmEduLevel,
  hrmAdAreaSet,
  hrmOfficeAddress,
  hrmPostSet,
  hrmMajorSet,
  hrmEducationSet,
  hrmTitleSet,
  hrmWorkNatureSet,
  hrmSecuritySetting,
  hrmSubCompanyFieldDef,
  hrmAuthorizationSetting,
  hrmRoleSetting,
  hrmAppDetach,
  ...hrmMatrix,
  hrmMatrixFieldSetting,
  hrmMatrixDataMaintenance,
  hrmMatrixAdjust,
  hrmWorkflowSetting,
  hrmPaidLevel,
  hrmPaidLevelTimeSetting,
  hrmImportExternalAttendance,
  hrmAttendanceSyncSetting,
  hrmScheduleWorkTime,
  hrmScheduleShiftsSetting,
  hrmSchedulingSetting,
  hrmWorkingDayAdjust,
  hrmLeaveType,
  hrmAnnualPeriod,
  hrmAnnualRule,
  hrmAnnualSetting,
  hrmOnlineAttendance,
  hrmPaidLeavePeriod,
  hrmPaidLeaveRule,
  hrmPaidLeaveSetting,
  hrmOrgChart,
  hrmPrivacySetting,
  hrmBatchMaintenance,
  hrmBatchAdjust,
  hrmBatchEdit,
  hrmBatchUploadPhoto,
  hrmAuthAdjust,
  hrmAuthSearch,
  hrmOrganization,
  hrmImportResource,
  hrmImportOrg,
  hrmImportCommon,

  hrmTest,
  hrmEngineGroup,
  hrmCardItemSet,
  hrmEntryMaintenanceSet,
  hrmBirthdayRemindSet,
  hrmAdminDecentralizationSet,
  hrmDecentralizationAdminSet,
  hrmTrialSet,
  hrmFormalSet,
  hrmRenewSet,
  hrmTransferSet,
  hrmQuitSet,
  hrmRetireSet,
  hrmDismissSet,
  hrmRehireSet,
  hrmModuleManageSet,
  hrmUnitSet,
  hrmSignatureManagement,
  hrmBasicDataImport,
  hrmLoginLog,
  hrmSalaryIndexSetting,
  hrmOnlineAnalysis,
  hrmLimitedAnalysis,
  hrmSalaryBank,
  hrmPersonalSalaryAdjustment,
  hrmSalaryIndexMaintenance,
  hrmSalaryItemsSet,
  hrmPayrollManagement,
  hrmTrainTypes,
  hrmTrainPlan,
  hrmTrainResource,
  hrmTrainArrange,
  hrmTrainActivity,
  hrmWorkHour,
  hrmAttendanceSetting,
  hrmOtherSetting,
  hrmRpType,
  hrmRpManage,
  hrmAssType,
  hrmAssItem,
  hrmAssImple,
  hrmContractType,
  hrmConExWarning,
  hrmContractMaintain,
  hrmContractTemplate,
  hrmFuncManageDecent,
  hrmEmployDemand,
  hrmRecruitPlan,
  hrmRecruitInfo,
  hrmRecruitLibrary,
  hrmLoginFailLog,
  hrmBrowseBoxLinkPage,
  hrmStaffCareReminder,
  hrmBrowserDisplayFieldSetting,
  hrmLevelProtection,
  hrmNewPost,
  orgFieldDisplaySetting,
  salaryApplySet,
  payrollSendingStore,
  sanYuanStore,
  normalLogStore,
  secAdminLogStore,
  secAuditorLogStore,
  systemAdminLogStore,
  archiveLogViewStore,
  outSignAppSetting,
  adminAreaDisplaySettingStore,
  subNumberSettingStore,
  elseSettingStore,
  deptNumberSettingStore,
  postNumberSettingStore,
  resourceNumberSettingStore,
  startReservedNumberSet,
  sensitiveSettingStore,
  sensitiveListStore,
};